From fada9d65dd5c177e43179bcd5cc2e57d36b5d831 Mon Sep 17 00:00:00 2001
From: Fujii Masao <fujii@postgresql.org>
Date: Wed, 23 Apr 2025 15:25:42 +0900
Subject: [PATCH v1] doc: remove unnecessary secondary index terms for
 replication settings.

Previously, config.sgml included secondary index terms for
max_replication_slots and max_active_replication_origins. These are
no longer necessary, as each parameter now has a single distinct index entry.

The secondary terms were originally useful because
max_active_replication_origins was part of max_replication_slots,
and separate index entries helped users locate each setting. However,
commit 04ff636cbce split them into independent parameters,
making the secondary terms redundant.

This commit removes the unnecessary secondary index entries to
simplify the documentation.
---
 doc/src/sgml/config.sgml | 2 --
 1 file changed, 2 deletions(-)

diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index c1674c22cb2..bd48a3ba139 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -4511,7 +4511,6 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
        <term><varname>max_replication_slots</varname> (<type>integer</type>)
        <indexterm>
         <primary><varname>max_replication_slots</varname> configuration parameter</primary>
-        <secondary>in a sending server</secondary>
        </indexterm>
        </term>
        <listitem>
@@ -5282,7 +5281,6 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
       <term><varname>max_active_replication_origins</varname> (<type>integer</type>)
        <indexterm>
         <primary><varname>max_active_replication_origins</varname> configuration parameter</primary>
-        <secondary>in a subscriber</secondary>
        </indexterm>
       </term>
       <listitem>
-- 
2.49.0

